package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WXMessage;
import com.sa.ibiz.demo.demo.service.dto.WXMessageSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WXMessage] 服务对象接口
 */
public interface WXMessageService extends IService<WXMessage>{

	boolean update(WXMessage et);
		WXMessage get(WXMessage et);
	boolean getDraft(WXMessage et);
	boolean create(WXMessage et);
	boolean remove(WXMessage et);
	boolean checkKey(WXMessage et);
    List<WXMessage> listDefault(WXMessageSearchFilter filter) ;
	Page<WXMessage> searchDefault(WXMessageSearchFilter filter);
	/**	 实体[WXMessage] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }